apiVersion: v1
generated: '2025-03-13T23:24:18.1741908258Z'
ns_packages:
    affinity_basic-ns:
        '1.0':
            description: Simple NS with a single VNF and a single VL
            name: affinity_basic-ns
            path: /ns/affinity_basic-ns/1.0/affinity_basic-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    cirros_alarm-ns:
        '1.0':
            description: Simple NS example with a cirros_alarm-vnf
            name: cirros_alarm-ns
            path: /ns/cirros_alarm-ns/1.0/cirros_alarm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_1vm_passthrough-ns:
        '1.0':
            description: NS with 2 VNFs epa_1vm_passthrough-vnf connected by datanet
                and mgmtnet VLs
            name: epa_1vm_passthrough-ns
            path: /ns/epa_1vm_passthrough-ns/1.0/epa_1vm_passthrough-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_1vm_sriov-ns:
        '1.0':
            description: NS with 2 VNFs epa_1vm_sriov-vnf connected by datanet and
                mgmtnet VLs
            name: epa_1vm_sriov-ns
            path: /ns/epa_1vm_sriov-ns/1.0/epa_1vm_sriov-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_quota-ns:
        '1.0':
            description: Simple NS with a single VNF and a single VL
            name: epa_quota-ns
            path: /ns/epa_quota-ns/1.0/epa_quota-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ha_proxy_charm-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: ha_proxy_charm-ns
            path: /ns/ha_proxy_charm-ns/1.0/ha_proxy_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic-ns:
        '1.0':
            description: Simple NS with a single VNF and a single VL
            name: hackfest_basic-ns
            path: /ns/hackfest_basic-ns/1.0/hackfest_basic-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic-ns-metrics:
        '1.0':
            description: Simple NS with a single VNF and a single VL and Metrics
            name: hackfest_basic-ns-metrics
            path: /ns/hackfest_basic-ns-metrics/1.0/hackfest_basic-ns-metrics-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic_sriov-ns:
        '1.0':
            description: Simple NS with a single VNF with SRIOV port
            name: hackfest_basic_sriov-ns
            path: /ns/hackfest_basic_sriov-ns/1.0/hackfest_basic_sriov-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_cloudinit-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: hackfest_cloudinit-ns
            path: /ns/hackfest_cloudinit-ns/1.0/hackfest_cloudinit-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_multivdu-ns:
        '1.0':
            description: NS with 2 VNFs connected by datanet and mgmtnet VLs
            name: hackfest_multivdu-ns
            path: /ns/hackfest_multivdu-ns/1.0/hackfest_multivdu-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ipprofile_2vm-ns:
        '1.0':
            description: NS with 1 VNFs connected by mgmtnet VL
            name: ipprofile_2vm-ns
            path: /ns/ipprofile_2vm-ns/1.0/ipprofile_2vm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    k8s_proxy_charm-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: k8s_proxy_charm-ns
            path: /ns/k8s_proxy_charm-ns/1.0/k8s_proxy_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_charm-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: native_charm-ns
            path: /ns/native_charm-ns/1.0/native_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_k8s_charm-ns:
        '1.0':
            description: NS with 1 KDU connected to the mgmtnet VL
            name: native_k8s_charm-ns
            path: /ns/native_k8s_charm-ns/1.0/native_k8s_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_k8s_scale_charm-ns:
        '1.0':
            description: NS with 1 KDU connected to the mgmtnet VL
            name: native_k8s_scale_charm-ns
            path: /ns/native_k8s_scale_charm-ns/1.0/native_k8s_scale_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_manual_scale_charm-ns:
        '1.0':
            description: NS with 1 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: native_manual_scale_charm-ns
            path: /ns/native_manual_scale_charm-ns/1.0/native_manual_scale_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nopasswd_k8s_proxy_charm-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: nopasswd_k8s_proxy_charm-ns
            path: /ns/nopasswd_k8s_proxy_charm-ns/1.0/nopasswd_k8s_proxy_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nopasswd_proxy_charm-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: nopasswd_proxy_charm-ns
            path: /ns/nopasswd_proxy_charm-ns/1.0/nopasswd_proxy_charm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ns_relations-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: ns_relations-ns
            path: /ns/ns_relations-ns/1.0/ns_relations-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nscharm-ns:
        '1.0':
            description: NS with 2 VNFs
            name: nscharm-ns
            path: /ns/nscharm-ns/1.0/nscharm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    openldap_ns:
        '1.0':
            description: NS consisting of a single KNF openldap_knf connected to mgmt
                network
            name: openldap_ns
            path: /ns/openldap_ns/1.0/openldap_ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    simple_2vm-ns:
        '1.0':
            description: NS with 1 VNFs connected by mgmtnet VL
            name: simple_2vm-ns
            path: /ns/simple_2vm-ns/1.0/simple_2vm-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    slice_basic_middle_ns:
        '1.0':
            description: NSD to be used on Slice Testing
            name: slice_basic_middle_ns
            path: /ns/slice_basic_middle_ns/1.0/slice_basic_middle_ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    slice_basic_ns:
        '1.0':
            description: NSD to be used on Slice Testing
            name: slice_basic_ns
            path: /ns/slice_basic_ns/1.0/slice_basic_ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    snmp_ee-ns:
        '1.0':
            description: Single VyOS Router VNF with SNMP metrics
            name: snmp_ee-ns
            path: /ns/snmp_ee-ns/1.0/snmp_ee-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ubuntu_4ifaces-ns:
        '1.0':
            description: NS with 2 VNFs ubuntu_4ifaces-vnf connected by mgmtnet and
                3 datanet VLs
            name: ubuntu_4ifaces-ns
            path: /ns/ubuntu_4ifaces-ns/1.0/ubuntu_4ifaces-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ubuntu_cloudinit-ns:
        '1.0':
            description: Generated by OSM package generator
            name: ubuntu_cloudinit-ns
            path: /ns/ubuntu_cloudinit-ns/1.0/ubuntu_cloudinit-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
    vnf_relations-ns:
        '1.0':
            description: NS with 2 VNFs with cloudinit connected by datanet and mgmtnet
                VLs
            name: vnf_relations-ns
            path: /ns/vnf_relations-ns/1.0/vnf_relations-ns-1.0.tar.gz
            vendor: null
        latest: '1.0'
nst_packages: {}
vnf_packages:
    affinity_basic-vnf:
        '1.0':
            description: A basic VNF descriptor w/ two VDUs and an affinity group
            name: affinity_basic-vnf
            path: /vnf/affinity_basic-vnf/1.0/affinity_basic-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    autoheal_vnfd:
        '1.0':
            description: autoheal VNFD package enabled with Autohealing
            name: autoheal_vnfd
            path: /vnf/autoheal_vnfd/1.0/autoheal_vnfd-1.0.tar.gz
            vendor: null
        latest: '1.0'
    cirros_alarm-vnf:
        '1.0':
            description: Simple VNF example with a cirros and a VNF alarm
            name: cirros_alarm-vnf
            path: /vnf/cirros_alarm-vnf/1.0/cirros_alarm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_1vm_passthrough-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU with 1 paravirt and 1 passthrough
                interface
            name: epa_1vm_passthrough-vnf
            path: /vnf/epa_1vm_passthrough-vnf/1.0/epa_1vm_passthrough-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_1vm_sriov-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU with 1 paravirt and 1 SRIOV interface
            name: epa_1vm_sriov-vnf
            path: /vnf/epa_1vm_sriov-vnf/1.0/epa_1vm_sriov-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    epa_quota-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU and quota EPA
            name: epa_quota-vnf
            path: /vnf/epa_quota-vnf/1.0/epa_quota-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ha_proxy_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: ha_proxy_charm-vnf
            path: /vnf/ha_proxy_charm-vnf/1.0/ha_proxy_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU
            name: hackfest_basic-vnf
            path: /vnf/hackfest_basic-vnf/1.0/hackfest_basic-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic_metrics-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU and VIM metrics
            name: hackfest_basic_metrics-vnf
            path: /vnf/hackfest_basic_metrics-vnf/1.0/hackfest_basic_metrics-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_basic_sriov-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU and SRIOV
            name: hackfest_basic_sriov-vnf
            path: /vnf/hackfest_basic_sriov-vnf/1.0/hackfest_basic_sriov-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_cloudinit-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs connected to an internal VL, and
                one VDU with cloud-init
            name: hackfest_cloudinit-vnf
            path: /vnf/hackfest_cloudinit-vnf/1.0/hackfest_cloudinit-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    hackfest_multivdu-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs connected to an internal VL
            name: hackfest_multivdu-vnf
            path: /vnf/hackfest_multivdu-vnf/1.0/hackfest_multivdu-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ipprofile_2vm-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs connected to an internal VL
            name: ipprofile_2vm-vnf
            path: /vnf/ipprofile_2vm-vnf/1.0/ipprofile_2vm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ipv6profile_2vm-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs connected to an internal VL
            name: ipv6profile_2vm-vnf
            path: /vnf/ipv6profile_2vm-vnf/1.0/ipv6profile_2vm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    k8s_proxy_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: k8s_proxy_charm-vnf
            path: /vnf/k8s_proxy_charm-vnf/1.0/k8s_proxy_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    keep_persistent-volumes-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU and several volumes, keeping
                persistent volume
            name: keep_persistent-volumes-vnf
            path: /vnf/keep_persistent-volumes-vnf/1.0/keep_persistent-volumes-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    multivdu_multiattach-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs sharing a volume
            name: multivdu_multiattach-vnf
            path: /vnf/multivdu_multiattach-vnf/1.0/multivdu_multiattach-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: native_charm-vnf
            path: /vnf/native_charm-vnf/1.0/native_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_k8s_charm-vnf:
        '1.0':
            description: null
            name: native_k8s_charm-vnf
            path: /vnf/native_k8s_charm-vnf/1.0/native_k8s_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_k8s_scale_charm-vnf:
        '1.0':
            description: null
            name: native_k8s_scale_charm-vnf
            path: /vnf/native_k8s_scale_charm-vnf/1.0/native_k8s_scale_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    native_manual_scale_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: native_manual_scale_charm-vnf
            path: /vnf/native_manual_scale_charm-vnf/1.0/native_manual_scale_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nopasswd_k8s_proxy_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: nopasswd_k8s_proxy_charm-vnf
            path: /vnf/nopasswd_k8s_proxy_charm-vnf/1.0/nopasswd_k8s_proxy_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nopasswd_proxy_charm-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: nopasswd_proxy_charm-vnf
            path: /vnf/nopasswd_proxy_charm-vnf/1.0/nopasswd_proxy_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ns_relations_provides-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: ns_relations_provides-vnf
            path: /vnf/ns_relations_provides-vnf/1.0/ns_relations_provides-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ns_relations_requires-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: ns_relations_requires-vnf
            path: /vnf/ns_relations_requires-vnf/1.0/ns_relations_requires-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nscharm-policy-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs w/proxy charm
            name: nscharm-policy-vnf
            path: /vnf/nscharm-policy-vnf/1.0/nscharm-policy-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    nscharm-user-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs w/proxy charm
            name: nscharm-user-vnf
            path: /vnf/nscharm-user-vnf/1.0/nscharm-user-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    openldap_knf:
        '1.0':
            description: KNF with single KDU using a helm-chart for openldap version
                1.2.3
            name: openldap_knf
            path: /vnf/openldap_knf/1.0/openldap_knf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    openldap_scale_knf:
        '1.0':
            description: KNF with single KDU using a helm-chart for openldap version
                1.2.3
            name: openldap_scale_knf
            path: /vnf/openldap_scale_knf/1.0/openldap_scale_knf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    pebble_charm-vnf:
        '1.0':
            description: null
            name: pebble_charm-vnf
            path: /vnf/pebble_charm-vnf/1.0/pebble_charm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    several_volumes-vnf:
        '1.0':
            description: A basic VNF descriptor w/ one VDU and several volumes
            name: several_volumes-vnf
            path: /vnf/several_volumes-vnf/1.0/several_volumes-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    simple_2vm-vnf:
        '1.0':
            description: A VNF consisting of 2 VDUs connected to an internal VL
            name: simple_2vm-vnf
            path: /vnf/simple_2vm-vnf/1.0/simple_2vm-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    simple_ee-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU with cloud-init, and a monitoring
                ee
            name: simple_ee-vnf
            path: /vnf/simple_ee-vnf/1.0/simple_ee-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    slice_basic_middle_vnf:
        '1.0':
            description: VNFD with 3 CPs to be used on Slice Testing
            name: slice_basic_middle_vnf
            path: /vnf/slice_basic_middle_vnf/1.0/slice_basic_middle_vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    slice_basic_vnf:
        '1.0':
            description: VNFD with 2 CPs to be used on Slice Testing
            name: slice_basic_vnf
            path: /vnf/slice_basic_vnf/1.0/slice_basic_vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    snmp_ee-vnf:
        '1.0':
            description: A basic virtual router with SNMP metrics collection
            name: snmp_ee-vnf
            path: /vnf/snmp_ee-vnf/1.0/snmp_ee-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ubuntu_4ifaces-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU with 4 paravirt interfaces
            name: ubuntu_4ifaces-vnf
            path: /vnf/ubuntu_4ifaces-vnf/1.0/ubuntu_4ifaces-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    ubuntu_cloudinit-vnf:
        '1.0':
            description: Generated by OSM package generator
            name: ubuntu_cloudinit-vnf
            path: /vnf/ubuntu_cloudinit-vnf/1.0/ubuntu_cloudinit-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
    vnf_relations-vnf:
        '1.0':
            description: A VNF consisting of 1 VDU connected to two external VL, and
                one for data and another one for management
            name: vnf_relations-vnf
            path: /vnf/vnf_relations-vnf/1.0/vnf_relations-vnf-1.0.tar.gz
            vendor: null
        latest: '1.0'
